.post-page {
    padding-bottom: 5rem;
}

.post-hero {
    position: relative;
    min-height: 75vh;
}

.post-hero-image {
    width: 100%;
    height: 75vh;
    object-fit: cover;
    display: block;
}

.post-hero-content {
    position: absolute;
    inset: 0;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;

    padding: 3rem;

    background:
        linear-gradient(
            to top,
            rgba(0,0,0,.65),
            rgba(0,0,0,.45),
            transparent
        );

    color: white;
}

.post-hero-content h1 {
    font-family: var(--title-font);
    font-size: clamp(3rem, 6vw, 5rem);
    line-height: 1;
    max-width: 900px;
    margin: 0;
}

.post-meta {
    margin-top: 1rem;
    opacity: .9;
}

.post-category {
    text-transform: uppercase;
    letter-spacing: 2px;
    margin-bottom: 1rem;
}

.post-category a {
    text-decoration: none;
    color: inherit;
    transition: filter 50ms;
}

.post-category a:hover {
    filter: brightness(80%);
}

.post-content {
    display: flex;
    padding: 0 48px;
    justify-content: center;
}
.post-content-container {
    max-width: 800px;
}

.post-content {
    max-width: 760px;
    margin: 4rem auto;
    padding: 0 1.5rem;

    font-size: 1.15rem;
    line-height: 1.9;
}

.post-content h2,
.post-content h3,
.post-content h4 {
    font-family: var(--title-font);
    line-height: 1.2;
    margin-top: 3rem;
}

.post-content h2 {
    font-size: 2.5rem;
}

.post-content h3 {
    font-size: 2rem;
}

.post-content p {
    margin: 1.5rem 0;
}

.post-content img {
    width: 100%;
    border-radius: 20px;
    margin: 2rem 0;
}

.post-content blockquote {
    border-left: 4px solid var(--primary);

    margin: 2rem 0;
    padding-left: 1.5rem;

    font-family: var(--title-font);
    font-size: 1.5rem;
    font-style: italic;
}

.post-content a {
    color: var(--primary);
}

.post-content code {
    background: var(--third-bg);
    padding: .15rem .4rem;
    border-radius: 6px;
}

.post-content pre {
    background: var(--third-bg);
    padding: 1.5rem;
    border-radius: 16px;
    overflow-x: auto;
}